stages:
    - test
    
    

before_script:
     - echo "deb http://ftp.debian.org/debian jessie main" > /etc/apt/sources.list
     - echo "deb http://ftp.debian.org/debian testing main" >> /etc/apt/sources.list
     - echo 'APT::Default-Release "jessie";' >> /etc/apt/apt.conf.d/00local
     - apt-get -qq update
     - apt-cache policy python3
     - apt-get remove -y binutils
     - apt-get -t testing install -y python3
     - apt-get -qq -t testing install -y python3-venv python3-pip python3-tk
     - python3 -V
     - python3 -m venv venv
     - . venv/bin/activate
     - pip3 install -r requirements.txt
    
    
job_build:
        
    stage: build 
    script: 
        - echo "build"
        - ./etagement.py

        
job_test:

    stage: test
    script:  
        - echo "test"
        - ./Test_Engineering_tools.py